# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-13 20:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AlternativeEstonianTranslations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('translator', models.CharField(max_length=200)),
                ('translation', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Explanation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author', models.CharField(blank=True, max_length=200)),
                ('explanation', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Term',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('in_pali', models.CharField(blank=True, max_length=200)),
                ('in_sanskrit', models.CharField(blank=True, max_length=200)),
                ('in_chinese', models.CharField(blank=True, max_length=200)),
                ('in_tibetan', models.CharField(blank=True, max_length=200)),
                ('in_japanese', models.CharField(blank=True, max_length=200)),
                ('in_english', models.CharField(blank=True, max_length=200)),
                ('in_estonian', models.CharField(blank=True, max_length=200)),
            ],
        ),
        migrations.AddField(
            model_name='explanation',
            name='term',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminology.Term'),
        ),
        migrations.AddField(
            model_name='alternativeestoniantranslations',
            name='term',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='terminology.Term'),
        ),
    ]
